Bug 1288989 - nagios crashes on start in case host template contains empty property
nagios crashes on start in case host template contains empty property
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: nagios (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Keiran Smith
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 02:54 EST by Peter Bieringer
Modified: 2017-02-22 09:50 EST (History)
9 users (show)

See Also:
Fixed In Version: nagios-4.2.4-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-22 09:50:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2015-12-07 02:54:25 EST
Description of problem:
nagios crashes on start in case template contains empty host property

Version-Release number of selected component (if applicable):
nagios-4.0.8-1.el7.x86_64

How reproducible:
always


Steps to Reproduce:
1. insert in a host template an empty property, e.g. line

  _EMPTY_PROPERTY

2. verify config -> ok
3. start nagios -> crash

Actual results:
*** Error in `/usr/sbin/nagios': free(): invalid pointer: 0x00007fa9681fad2c ***
======= Backtrace: =========
/lib64/libc.so.6(+0x7d1fd)[0x7fa9676fc1fd]
/usr/sbin/nagios(+0x365d1)[0x7fa9681a05d1]
/usr/sbin/nagios(clear_host_macros_r+0x80)[0x7fa9681a65b0]
/usr/sbin/nagios(clear_volatile_macros_r+0x26)[0x7fa9681a6a86]
/usr/sbin/nagios(run_async_service_check+0x3ca)[0x7fa96818745a]
/usr/sbin/nagios(run_scheduled_service_check+0xc1)[0x7fa968187731]
/usr/sbin/nagios(handle_timed_event+0x20b)[0x7fa96819d29b]
/usr/sbin/nagios(event_execution_loop+0x333)[0x7fa96819ddd3]
/usr/sbin/nagios(main+0xce6)[0x7fa96817e766]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x7fa9676a0af5]
/usr/sbin/nagios(+0x14e7d)[0x7fa96817ee7d]
======= Memory map: ========
7fa967166000-7fa96717b000 r-xp 00000000 00:3c 375007720                  /usr/lib64/libgcc_s-4.8.3-20140911.so.1
7fa96717b000-7fa96737a000 ---p 00015000 00:3c 375007720                  /usr/lib64/libgcc_s-4.8.3-20140911.so.1
7fa96737a000-7fa96737b000 r--p 00014000 00:3c 375007720                  /usr/lib64/libgcc_s-4.8.3-20140911.so.1
7fa96737b000-7fa96737c000 rw-p 00015000 00:3c 375007720                  /usr/lib64/libgcc_s-4.8.3-20140911.so.1
7fa96737c000-7fa96767f000 rw-p 00000000 00:00 0 
7fa96767f000-7fa967835000 r-xp 00000000 00:3c 375007014                  /usr/lib64/libc-2.17.so
7fa967835000-7fa967a35000 ---p 001b6000 00:3c 375007014                  /usr/lib64/libc-2.17.so
7fa967a35000-7fa967a39000 r--p 001b6000 00:3c 375007014                  /usr/lib64/libc-2.17.so
7fa967a39000-7fa967a3b000 rw-p 001ba000 00:3c 375007014                  /usr/lib64/libc-2.17.so
7fa967a3b000-7fa967a40000 rw-p 00000000 00:00 0 
7fa967a40000-7fa967a43000 r-xp 00000000 00:3c 375008479                  /usr/lib64/libdl-2.17.so
7fa967a43000-7fa967c42000 ---p 00003000 00:3c 375008479                  /usr/lib64/libdl-2.17.so
7fa967c42000-7fa967c43000 r--p 00002000 00:3c 375008479                  /usr/lib64/libdl-2.17.so
7fa967c43000-7fa967c44000 rw-p 00003000 00:3c 375008479                  /usr/lib64/libdl-2.17.so
7fa967c44000-7fa967d45000 r-xp 00000000 00:3c 375008507                  /usr/lib64/libm-2.17.so
7fa967d45000-7fa967f44000 ---p 00101000 00:3c 375008507                  /usr/lib64/libm-2.17.so
7fa967f44000-7fa967f45000 r--p 00100000 00:3c 375008507                  /usr/lib64/libm-2.17.so
7fa967f45000-7fa967f46000 rw-p 00101000 00:3c 375008507                  /usr/lib64/libm-2.17.so
7fa967f46000-7fa967f67000 r-xp 00000000 00:3c 375003446                  /usr/lib64/ld-2.17.so
7fa967fb8000-7fa96815f000 rw-p 00000000 00:00 0 
7fa968164000-7fa968165000 rw-p 00000000 00:00 0 
7fa968166000-7fa968167000 rw-p 00000000 00:00 0 
7fa968167000-7fa968168000 r--p 00021000 00:3c 375003446                  /usr/lib64/ld-2.17.so
7fa968168000-7fa968169000 rw-p 00022000 00:3c 375003446                  /usr/lib64/ld-2.17.so
7fa968169000-7fa96816a000 rw-p 00000000 00:00 0 
7fa96816a000-7fa968214000 r-xp 00000000 00:3c 374606828                  /usr/sbin/nagios
7fa968413000-7fa968414000 r--p 000a9000 00:3c 374606828                  /usr/sbin/nagios
7fa968414000-7fa968417000 rw-p 000aa000 00:3c 374606828                  /usr/sbin/nagios
7fa968417000-7fa96841c000 rw-p 00000000 00:00 0 
7fa96849e000-7fa968522000 rw-p 00000000 00:00 0                          [heap]
7ffc6ef67000-7ffc6ef7c000 rw-p 00000000 00:00 0                          [stack]
7ffc6efab000-7ffc6efad000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Abgebrochen


Expected results:
No crash


Additional info:

nagios 3.x didn't crash
Comment 1 Fedora Update System 2017-02-07 18:46:23 EST
nagios-4.2.4-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0f3297a19b
Comment 2 Fedora Update System 2017-02-09 16:17:31 EST
nagios-4.2.4-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0f3297a19b
Comment 3 Fedora Update System 2017-02-22 09:50:02 EST
nagios-4.2.4-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.